## org.eclipse.emf.edit.ui.provider
Class NotifyChangedToViewerRefresh

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.NotifyChangedToViewerRefresh

    public class NotifyChangedToViewerRefresh

extends java.lang.Object

This class calls optimized refresh apis for all the standard Viewer subclasses.

Constructor Summary
`NotifyChangedToViewerRefresh()`

Method Summary
`static void` `handleNotifyChanged(Viewer viewer, java.lang.Object object, int eventType, java.lang.Object feature, java.lang.Object oldValue, java.lang.Object newValue, int index)`
`void` `refresh(Viewer viewer, java.lang.Object object, int eventType, java.lang.Object feature, java.lang.Object oldValue, java.lang.Object newValue, int index)`
`void` `refreshAbstractTreeViewer(AbstractTreeViewer viewer, java.lang.Object object, int eventType, java.lang.Object feature, java.lang.Object oldValue, java.lang.Object newValue, int index)`
`void` `refreshListViewer(ListViewer viewer, java.lang.Object object, int eventType, java.lang.Object feature, java.lang.Object oldValue, java.lang.Object newValue, int index)`
`void` `refreshStructuredViewer(StructuredViewer viewer, java.lang.Object object, int eventType, java.lang.Object feature, java.lang.Object oldValue, java.lang.Object newValue, int index)`
`void` `refreshTableTreeViewer(TableTreeViewer viewer, java.lang.Object object, int eventType, java.lang.Object feature, java.lang.Object oldValue, java.lang.Object newValue, int index)` Deprecated.
`void` `refreshTableViewer(TableViewer viewer, java.lang.Object object, int eventType, java.lang.Object feature, java.lang.Object oldValue, java.lang.Object newValue, int index)`
`void` `refreshTreeViewer(TreeViewer viewer, java.lang.Object object, int eventType, java.lang.Object feature, java.lang.Object oldValue, java.lang.Object newValue, int index)`
`void` `refreshViewer(Viewer viewer, java.lang.Object object, int eventType, java.lang.Object feature, java.lang.Object oldValue, java.lang.Object newValue, int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifyChangedToViewerRefresh

    public NotifyChangedToViewerRefresh()

Method Detail

### handleNotifyChanged

    public static void handleNotifyChanged(Viewer viewer,
                                           java.lang.Object object,
                                           int eventType,
                                           java.lang.Object feature,
                                           java.lang.Object oldValue,
                                           java.lang.Object newValue,
                                           int index)

### refresh

    public void refresh(Viewer viewer,
                        java.lang.Object object,
                        int eventType,
                        java.lang.Object feature,
                        java.lang.Object oldValue,
                        java.lang.Object newValue,
                        int index)

### refreshTreeViewer

    public void refreshTreeViewer(TreeViewer viewer,
                                  java.lang.Object object,
                                  int eventType,
                                  java.lang.Object feature,
                                  java.lang.Object oldValue,
                                  java.lang.Object newValue,
                                  int index)

### refreshTableTreeViewer

    @Deprecated
    public void refreshTableTreeViewer(TableTreeViewer viewer,
                                                  java.lang.Object object,
                                                  int eventType,
                                                  java.lang.Object feature,
                                                  java.lang.Object oldValue,
                                                  java.lang.Object newValue,
                                                  int index)

  Deprecated.

### refreshListViewer

    public void refreshListViewer(ListViewer viewer,
                                  java.lang.Object object,
                                  int eventType,
                                  java.lang.Object feature,
                                  java.lang.Object oldValue,
                                  java.lang.Object newValue,
                                  int index)

### refreshTableViewer

    public void refreshTableViewer(TableViewer viewer,
                                   java.lang.Object object,
                                   int eventType,
                                   java.lang.Object feature,
                                   java.lang.Object oldValue,
                                   java.lang.Object newValue,
                                   int index)

### refreshAbstractTreeViewer

    public void refreshAbstractTreeViewer(AbstractTreeViewer viewer,
                                          java.lang.Object object,
                                          int eventType,
                                          java.lang.Object feature,
                                          java.lang.Object oldValue,
                                          java.lang.Object newValue,
                                          int index)

### refreshStructuredViewer

    public void refreshStructuredViewer(StructuredViewer viewer,
                                        java.lang.Object object,
                                        int eventType,
                                        java.lang.Object feature,
                                        java.lang.Object oldValue,
                                        java.lang.Object newValue,
                                        int index)

### refreshViewer

    public void refreshViewer(Viewer viewer,
                              java.lang.Object object,
                              int eventType,
                              java.lang.Object feature,
                              java.lang.Object oldValue,
                              java.lang.Object newValue,
                              int index)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.